{
  "name": "defi-dapp",
  "version": "0.1.0",
  "description": "DApp Prototype - DeFi",
  "keywords": [
    "Blockchain",
    "Solidity",
    "Ethereum",
    "DApp",
    "DeFi"
  ],
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/pascal.cantaluppi/defi.git"
  },
  "license": "MIT",
  "dependencies": {
    "@nextui-org/react": "^2.2.9",
    "@truffle/hdwallet-provider": "^2.1.15",
    "@types/node": "^20.11.0",
    "@types/react": "^18.2.47",
    "@types/react-dom": "^18.2.18",
    "babel-polyfill": "6.26.0",
    "babel-preset-env": "1.7.0",
    "babel-preset-es2015": "6.24.1",
    "babel-preset-stage-2": "6.24.1",
    "babel-preset-stage-3": "6.24.1",
    "babel-register": "6.26.0",
    "bootstrap": "^5.3.2",
    "dotenv": "^16.3.1",
    "framer-motion": "^10.18.0",
    "identicon.js": "^2.3.3",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-dom": "18.2.0",
    "react-scripts": "5.0.1",
    "react-tsparticles": "^2.12.2",
    "solc": "0.8.23",
    "tailwindcss": "^3.3.5",
    "truffle": "^5.11.5",
    "typescript": "^5.3.3",
    "web3": "4.3.0"
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@testing-library/jest-dom": "^6.2.0",
    "@testing-library/react": "^14.1.2",
    "@testing-library/react-hooks": "^8.0.1",
    "@testing-library/user-event": "^14.5.2",
    "@types/jest": "^29.5.11",
    "@typescript-eslint/eslint-plugin": "^6.18.1",
    "@typescript-eslint/parser": "^6.18.1",
    "chai": "5.0.0",
    "chai-as-promised": "7.1.1",
    "chai-bignumber": "3.1.0",
    "eslint": "^8.56.0",
    "eslint-plugin-react": "^7.33.2",
    "jest-canvas-mock": "^2.5.2",
    "jest-junit": "^16.0.0",
    "prettier": "^3.2.2",
    "prettier-plugin-solidity": "^1.3.1",
    "react-test-renderer": "^18.2.0"
  },
  "scripts": {
    "compile": "truffle compile",
    "test": "truffle test",
    "migrate:ganache": "truffle migrate --reset --network ganache",
    "migrate:sepolia": "truffle migrate --reset --network sepolia",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "lint": "eslint src/**/*.{jsx,json}",
    "format": "prettier --write src/**/*.{js,jsx,ts,tsx,css,json,sol} --config ./.prettierrc"
  },
  "jest": {
    "collectCoverageFrom": [
      "src/components/*"
    ],
    "testMatch": [
      "**/*.test.js"
    ]
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
